FreeHandParserInternal::ShapeHeader Struct Reference documentation

FreeHandParserInternal::ShapeHeader Struct Reference

small structure of FreeHandParserInternal used to stored a shape header More...

## Public Member Functions
| ShapeHeader ()
| constructor

## Public Attributes
long | m_size
| a field related to the zone size
int | m_type
| the zone type
std::string | m_note
| the note
int | m_dataId
| the data id (used to store a note, ...)
int | m_layerId
| the layer id
MWAWVariable< ScreenMode > | m_screen
| the screen mode
int | m_values [4]
| the unknown values
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, ShapeHeader const &shape)
| operator<<

## Detailed Description

small structure of FreeHandParserInternal used to stored a shape header

## Constructor & Destructor Documentation

## ◆ ShapeHeader()

FreeHandParserInternal::ShapeHeader::ShapeHeader | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ShapeHeader const & | shape )
| friend

operator<<

## Member Data Documentation

## ◆ m_dataId

int FreeHandParserInternal::ShapeHeader::m_dataId

the data id (used to store a note, ...)

Referenced by operator<<, FreeHandParser::readShapeHeader(), and ShapeHeader().

## ◆ m_extra

std::string FreeHandParserInternal::ShapeHeader::m_extra

extra data

Referenced by operator<<, FreeHandParser::readShapeHeader(), and ShapeHeader().

## ◆ m_layerId

int FreeHandParserInternal::ShapeHeader::m_layerId

the layer id

Referenced by operator<<, FreeHandParser::readBackgroundPicture(), FreeHandParser::readJoinGroup(), FreeHandParser::readPictureZone(), FreeHandParser::readShape(), FreeHandParser::readShapeHeader(), FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), FreeHandParser::readTransformGroup(), and ShapeHeader().

## ◆ m_note

std::string FreeHandParserInternal::ShapeHeader::m_note

the note

Referenced by operator<<, FreeHandParser::readShapeHeader(), and ShapeHeader().

## ◆ m_screen

MWAWVariable<ScreenMode> FreeHandParserInternal::ShapeHeader::m_screen

the screen mode

Referenced by operator<<, FreeHandParser::readShapeHeader(), and ShapeHeader().

## ◆ m_size

long FreeHandParserInternal::ShapeHeader::m_size

a field related to the zone size

Referenced by FreeHandParser::readJoinGroup(), FreeHandParser::readShape(), FreeHandParser::readShapeHeader(), FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), FreeHandParser::readTransformGroup(), and ShapeHeader().

## ◆ m_type

int FreeHandParserInternal::ShapeHeader::m_type

the zone type

Referenced by FreeHandParser::readBackgroundPicture(), FreeHandParser::readJoinGroup(), FreeHandParser::readPictureZone(), FreeHandParser::readShape(), FreeHandParser::readShapeHeader(), FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), FreeHandParser::readTransformGroup(), and ShapeHeader().

## ◆ m_values

int FreeHandParserInternal::ShapeHeader::m_values[4]

the unknown values

Referenced by operator<<, FreeHandParser::readShapeHeader(), and ShapeHeader().

The documentation for this struct was generated from the following file:

- FreeHandParser.cxx